/bamboohr-compensation | Type: Application | PCID required: Yes
Tools
bamboohr_compensation_create_compensation_benchmark
Create Compensation Benchmark Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
benchmarkMax | number | Yes | — | Benchmark maximum value. |
benchmarkMin | number | Yes | — | Benchmark minimum value. |
benchmarkSource | string | No | — | Free-text label describing where the benchmark came from. |
benchmarkValue | number | Yes | — | Benchmark median value. |
companiesSurveyed | integer | No | — | Companies Surveyed |
currencyCode | string | Yes | — | ISO 4217 currency code for the benchmark values. |
dataYear | string | No | — | Year of the underlying survey data. |
employeesSurveyed | integer | No | — | Employees Surveyed |
externalCompanySize | string | No | — | External Company Size |
externalCountry | string | No | — | External Country |
externalIndustry | string | No | — | External Industry |
externalJobDescription | string | No | — | External Job Description |
externalJobTitle | string | No | — | External Job Title |
externalLevel | string | No | — | External Level |
externalLocation | string | No | — | External Location |
externalSecondaryLocation | string | No | — | External Secondary Location |
jobLocationId | string | No | — | Optional job location ID to scope the benchmark to a specific location. |
jobTitleId | string | Yes | — | ID of the company job title the benchmark applies to. |
mjlJobCode | string | No | — | Mercer Job Library code associated with this benchmark. Stored on the benchmark as mercerJobCode. |
sourceDate | string | No | — | Date the benchmark source data applies to. |
sourceId | string | No | — | ID of the benchmark source from GET /api/v1/compensation/benchmarks/sources. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"benchmarkMax": {
"type": "number",
"description": "Benchmark maximum value."
},
"benchmarkMin": {
"type": "number",
"description": "Benchmark minimum value."
},
"benchmarkSource": {
"type": "string",
"description": "Free-text label describing where the benchmark came from."
},
"benchmarkValue": {
"type": "number",
"description": "Benchmark median value."
},
"companiesSurveyed": {
"type": "integer",
"description": "Companies Surveyed"
},
"currencyCode": {
"type": "string",
"description": "ISO 4217 currency code for the benchmark values."
},
"dataYear": {
"type": "string",
"description": "Year of the underlying survey data."
},
"employeesSurveyed": {
"type": "integer",
"description": "Employees Surveyed"
},
"externalCompanySize": {
"type": "string",
"description": "External Company Size"
},
"externalCountry": {
"type": "string",
"description": "External Country"
},
"externalIndustry": {
"type": "string",
"description": "External Industry"
},
"externalJobDescription": {
"type": "string",
"description": "External Job Description"
},
"externalJobTitle": {
"type": "string",
"description": "External Job Title"
},
"externalLevel": {
"type": "string",
"description": "External Level"
},
"externalLocation": {
"type": "string",
"description": "External Location"
},
"externalSecondaryLocation": {
"type": "string",
"description": "External Secondary Location"
},
"jobLocationId": {
"type": "string",
"description": "Optional job location ID to scope the benchmark to a specific location."
},
"jobTitleId": {
"type": "string",
"description": "ID of the company job title the benchmark applies to."
},
"mjlJobCode": {
"type": "string",
"description": "Mercer Job Library code associated with this benchmark. Stored on the benchmark as `mercerJobCode`."
},
"sourceDate": {
"type": "string",
"description": "Date the benchmark source data applies to."
},
"sourceId": {
"type": "string",
"description": "ID of the benchmark source from `GET /api/v1/compensation/benchmarks/sources`."
}
},
"required": [
"PCID",
"benchmarkMax",
"benchmarkMin",
"benchmarkValue",
"currencyCode",
"jobTitleId"
]
}
bamboohr_compensation_create_compensation_benchmark_source
Create Compensation Benchmark Source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
colorCode | string | No | — | Optional hex color used to display the source in the UI. |
name | string | Yes | — | Display name for the new benchmark source. Cannot be empty or equal to mercer. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"colorCode": {
"type": "string",
"description": "Optional hex color used to display the source in the UI."
},
"name": {
"type": "string",
"description": "Display name for the new benchmark source. Cannot be empty or equal to `mercer`."
}
},
"required": [
"PCID",
"name"
]
}
bamboohr_compensation_create_employee_dependent
Create Employee Dependent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
addressLine1 | string | No | — | The first line of the dependent’s address. |
addressLine2 | string | No | — | The second line of the dependent’s address. |
city | string | No | — | The dependent’s city. |
country | string | No | — | The dependent’s country, provided as an ISO 3166-1 alpha-2 country code (e.g. “US”). Returned as a full country name on read. |
dateOfBirth | string | No | — | The dependent’s date of birth in YYYY-MM-DD format. |
employeeId | string | Yes | — | The ID of the employee this dependent belongs to. Required. |
firstName | string | No | — | The dependent’s first name. |
gender | string | No | — | The dependent’s gender. |
homePhone | string | No | — | The dependent’s home phone number. |
isStudent | string | No | — | Whether the dependent is currently a student. Accepted values: “yes” or “no”. |
isUsCitizen | string | No | — | Whether the dependent is a US citizen. Accepted values: “yes” or “no”. |
lastName | string | No | — | The dependent’s last name. |
middleName | string | No | — | The dependent’s middle name. |
relationship | string | No | — | The dependent’s relationship to the employee (e.g. “spouse”, “child”, “domestic_partner”). |
sin | string | No | — | The dependent’s Social Insurance Number (Canadian equivalent of SSN), provided as plain text. Stored encrypted. Returned as a masked value on read. |
ssn | string | No | — | The dependent’s Social Security Number, provided as plain text. Stored encrypted. Returned as a masked value (e.g. “xxx-xx-1234”) on read. |
state | string | No | — | The dependent’s state, provided as a state code (e.g. “UT”). Returned as a full state name on read. |
zipCode | string | No | — | The dependent’s ZIP or postal code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"addressLine1": {
"type": "string",
"description": "The first line of the dependent's address."
},
"addressLine2": {
"type": "string",
"description": "The second line of the dependent's address."
},
"city": {
"type": "string",
"description": "The dependent's city."
},
"country": {
"type": "string",
"description": "The dependent's country, provided as an ISO 3166-1 alpha-2 country code (e.g. \"US\"). Returned as a full country name on read."
},
"dateOfBirth": {
"type": "string",
"description": "The dependent's date of birth in YYYY-MM-DD format."
},
"employeeId": {
"type": "string",
"description": "The ID of the employee this dependent belongs to. Required."
},
"firstName": {
"type": "string",
"description": "The dependent's first name."
},
"gender": {
"type": "string",
"description": "The dependent's gender."
},
"homePhone": {
"type": "string",
"description": "The dependent's home phone number."
},
"isStudent": {
"type": "string",
"description": "Whether the dependent is currently a student. Accepted values: \"yes\" or \"no\".",
"enum": [
"yes",
"no"
]
},
"isUsCitizen": {
"type": "string",
"description": "Whether the dependent is a US citizen. Accepted values: \"yes\" or \"no\".",
"enum": [
"yes",
"no"
]
},
"lastName": {
"type": "string",
"description": "The dependent's last name."
},
"middleName": {
"type": "string",
"description": "The dependent's middle name."
},
"relationship": {
"type": "string",
"description": "The dependent's relationship to the employee (e.g. \"spouse\", \"child\", \"domestic_partner\")."
},
"sin": {
"type": "string",
"description": "The dependent's Social Insurance Number (Canadian equivalent of SSN), provided as plain text. Stored encrypted. Returned as a masked value on read."
},
"ssn": {
"type": "string",
"description": "The dependent's Social Security Number, provided as plain text. Stored encrypted. Returned as a masked value (e.g. \"xxx-xx-1234\") on read."
},
"state": {
"type": "string",
"description": "The dependent's state, provided as a state code (e.g. \"UT\"). Returned as a full state name on read."
},
"zipCode": {
"type": "string",
"description": "The dependent's ZIP or postal code."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_compensation_delete_benchmark
Delete Compensation Benchmark Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | Integer ID of the compensation benchmark to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "Integer ID of the compensation benchmark to delete."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_delete_benchmark_source
Delete Compensation Benchmark Source Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | ID of the benchmark source to delete. Must be non-empty. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "ID of the benchmark source to delete. Must be non-empty."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_export_compensation_benchmark_details
Export Compensation Benchmark Details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
jobId | string | Yes | — | ID of the company job title to export benchmark details for. |
locationId | string | No | — | Optional job location ID to restrict the export to one location. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobId": {
"type": "string",
"description": "ID of the company job title to export benchmark details for."
},
"locationId": {
"type": "string",
"description": "Optional job location ID to restrict the export to one location."
}
},
"required": [
"PCID",
"jobId"
]
}
bamboohr_compensation_get_benchmark_details
Get Compensation Benchmark Details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
jobId | string | Yes | — | ID of the company job title to fetch benchmark details for. |
locationId | string | No | — | Optional job location ID. When omitted, results aggregate across all locations for the job. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobId": {
"type": "string",
"description": "ID of the company job title to fetch benchmark details for."
},
"locationId": {
"type": "string",
"description": "Optional job location ID. When omitted, results aggregate across all locations for the job."
}
},
"required": [
"PCID",
"jobId"
]
}
bamboohr_compensation_get_employee_dependent
Get Employee Dependent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
id | integer | Yes | — | The numeric ID of the employee dependent to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
},
"id": {
"type": "integer",
"description": "The numeric ID of the employee dependent to retrieve."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_get_planning_cycles
Get compensation planning cycle details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_import_compensation_benchmarks
Import Compensation Benchmarks From CSV Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file | string | Yes | — | CSV file to import. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file": {
"type": "string",
"description": "CSV file to import."
}
},
"required": [
"PCID",
"file"
]
}
bamboohr_compensation_list_benefit_coverages
List Benefit Coverages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_benefit_deduction_types
List Benefit Deduction TypesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_company_benefits
List Company BenefitsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_compensation_benchmark_sources
List Compensation Benchmark SourcesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_compensation_benchmarks
List Compensation BenchmarksShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_compensation_equity_settings
Get company equity settingsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_compensation_planning_cycles
List compensation planning cyclesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_compensation_planning_cycles_admins
List compensation planning cycle admins Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_compensation_planning_cycles_approvals
Get compensation planning approval flows Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
groupBy | string | No | — | Optional grouping for flows (e.g. department) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"groupBy": {
"type": "string",
"description": "Optional grouping for flows (e.g. department)"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_compensation_planning_cycles_budgets
Get compensation planning cycle budgets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_compensation_planning_cycles_change_comm
Get change communication letter details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_compensation_planning_cycles_employees
List employees in compensation planning cycle Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_compensation_planning_cycles_summary
Get compensation planning cycle summary Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_compensation_planning_cycles_worksheet
Get compensation planning cycle worksheet Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
type | string | No | — | Worksheet context: recommendations, approvals, or overview (overview requires cycle admin). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"type": {
"type": "string",
"description": "Worksheet context: recommendations, approvals, or overview (overview requires cycle admin).",
"enum": [
"recommendations",
"approvals",
"overview"
]
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_compensation_planning_cycles_worksheet_export
Export compensation planning cycle worksheet to CSV Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
type | string | No | — | Worksheet context: recommendations, approvals, or overview (overview requires cycle admin). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"type": {
"type": "string",
"description": "Worksheet context: recommendations, approvals, or overview (overview requires cycle admin).",
"enum": [
"recommendations",
"approvals",
"overview"
]
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_list_employee_benefits
List Employee Benefits Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
filters | object | Yes | — | Scope filters for the request. At least one of employeeId, companyBenefitId, or enrollmentStatusEffectiveDate must be provided; omitting all three returns a 400 validation error. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"filters": {
"type": "object",
"description": "Scope filters for the request. At least one of employeeId, companyBenefitId, or enrollmentStatusEffectiveDate must be provided; omitting all three returns a 400 validation error.",
"properties": {
"employeeId": {
"type": "integer",
"description": "Return benefit enrollments for a specific employee identified by their numeric ID."
},
"companyBenefitId": {
"type": "integer",
"description": "Return benefit enrollments for a specific company benefit plan identified by its numeric ID."
},
"enrollmentStatusEffectiveDate": {
"type": "string",
"description": "Return benefit enrollments whose enrollment status became effective on this date. Must be in YYYY-MM-DD format."
}
}
}
},
"required": [
"PCID",
"filters"
]
}
bamboohr_compensation_list_employee_dependents
List Employee Dependents Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
employeeid | integer | No | — | The employee ID to filter dependents by. When provided, only dependents for that employee are returned. When omitted, all company dependents are returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
},
"employeeid": {
"type": "integer",
"description": "The employee ID to filter dependents by. When provided, only dependents for that employee are returned. When omitted, all company dependents are returned."
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_member_benefit_events
List Member Benefit EventsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_list_member_benefits
List Member Benefits Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
calendarYear | string | Yes | — | The 4-digit calendar year (YYYY) to retrieve benefit enrollment data for. |
page | string | No | — | The 1-based page number for pagination. The value is cast to an integer; values that cast to 0 or below are rejected with a 400. Defaults to 1. |
pageSize | string | No | — | The number of items per page. The value is cast to an integer; values that cast to 0 or below, or to 100 or above, are rejected with a 400. Defaults to 25. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"calendarYear": {
"type": "string",
"description": "The 4-digit calendar year (YYYY) to retrieve benefit enrollment data for."
},
"page": {
"type": "string",
"description": "The 1-based page number for pagination. The value is cast to an integer; values that cast to 0 or below are rejected with a 400. Defaults to 1."
},
"pageSize": {
"type": "string",
"description": "The number of items per page. The value is cast to an integer; values that cast to 0 or below, or to 100 or above, are rejected with a 400. Defaults to 25."
}
},
"required": [
"PCID",
"calendarYear"
]
}
bamboohr_compensation_update_compensation_benchmark
Update Compensation Benchmark Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
benchmarkMax | number | No | — | Benchmark maximum value. |
benchmarkMin | number | No | — | Benchmark minimum value. |
benchmarkSource | string | No | — | Free-text label describing where the benchmark came from. |
benchmarkValue | number | No | — | Benchmark median value. |
companiesSurveyed | integer | No | — | Companies Surveyed |
currencyCode | string | No | — | ISO 4217 currency code for the benchmark values. |
dataYear | string | No | — | Year of the underlying survey data. Omitting this field clears data_year on the stored benchmark, so callers updating a Mercer benchmark should resend the existing value. |
employeesSurveyed | integer | No | — | Employees Surveyed |
externalCompanySize | string | No | — | External Company Size |
externalCountry | string | No | — | External Country |
externalIndustry | string | No | — | External Industry |
externalJobDescription | string | No | — | External Job Description |
externalJobTitle | string | No | — | External Job Title |
externalLevel | string | No | — | External Level |
externalLocation | string | No | — | External Location |
externalSecondaryLocation | string | No | — | External Secondary Location |
id | string | Yes | — | ID of the benchmark to update. |
mjlJobCode | string | No | — | Mercer Job Library code associated with this benchmark. Stored on the benchmark as mercerJobCode. |
sourceDate | string | No | — | Date the benchmark source data applies to. |
sourceId | string | No | — | ID of the benchmark source from GET /api/v1/compensation/benchmarks/sources. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"benchmarkMax": {
"type": "number",
"description": "Benchmark maximum value."
},
"benchmarkMin": {
"type": "number",
"description": "Benchmark minimum value."
},
"benchmarkSource": {
"type": "string",
"description": "Free-text label describing where the benchmark came from."
},
"benchmarkValue": {
"type": "number",
"description": "Benchmark median value."
},
"companiesSurveyed": {
"type": "integer",
"description": "Companies Surveyed"
},
"currencyCode": {
"type": "string",
"description": "ISO 4217 currency code for the benchmark values."
},
"dataYear": {
"type": "string",
"description": "Year of the underlying survey data. Omitting this field clears `data_year` on the stored benchmark, so callers updating a Mercer benchmark should resend the existing value."
},
"employeesSurveyed": {
"type": "integer",
"description": "Employees Surveyed"
},
"externalCompanySize": {
"type": "string",
"description": "External Company Size"
},
"externalCountry": {
"type": "string",
"description": "External Country"
},
"externalIndustry": {
"type": "string",
"description": "External Industry"
},
"externalJobDescription": {
"type": "string",
"description": "External Job Description"
},
"externalJobTitle": {
"type": "string",
"description": "External Job Title"
},
"externalLevel": {
"type": "string",
"description": "External Level"
},
"externalLocation": {
"type": "string",
"description": "External Location"
},
"externalSecondaryLocation": {
"type": "string",
"description": "External Secondary Location"
},
"id": {
"type": "string",
"description": "ID of the benchmark to update."
},
"mjlJobCode": {
"type": "string",
"description": "Mercer Job Library code associated with this benchmark. Stored on the benchmark as `mercerJobCode`."
},
"sourceDate": {
"type": "string",
"description": "Date the benchmark source data applies to."
},
"sourceId": {
"type": "string",
"description": "ID of the benchmark source from `GET /api/v1/compensation/benchmarks/sources`."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_compensation_update_compensation_benchmark_sources
Update Compensation Benchmark Sources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
benchmarkSources | object[] | No | — | Benchmark Sources |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"benchmarkSources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "ID of the existing benchmark source to update."
},
"name": {
"type": "string",
"description": "New display name for the source. Cannot equal `mercer`."
},
"sort": {
"type": "string",
"description": "Optional new sort position, as a numeric string."
}
},
"required": [
"id",
"name"
]
},
"description": "Benchmark Sources"
}
},
"required": [
"PCID"
]
}
bamboohr_compensation_update_employee_dependent
Update Employee Dependent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The numeric ID of the employee dependent to update. |
addressLine1 | string | No | — | The first line of the dependent’s address. |
addressLine2 | string | No | — | The second line of the dependent’s address. |
city | string | No | — | The dependent’s city. |
country | string | No | — | The dependent’s country, provided as an ISO 3166-1 alpha-2 country code (e.g. “US”). Returned as a full country name on read. |
dateOfBirth | string | No | — | The dependent’s date of birth in YYYY-MM-DD format. |
employeeId | string | No | — | The ID of the employee this dependent belongs to. Required. |
firstName | string | No | — | The dependent’s first name. |
gender | string | No | — | The dependent’s gender. |
homePhone | string | No | — | The dependent’s home phone number. |
isStudent | string | No | — | Whether the dependent is currently a student. Accepted values: “yes” or “no”. |
isUsCitizen | string | No | — | Whether the dependent is a US citizen. Accepted values: “yes” or “no”. |
lastName | string | No | — | The dependent’s last name. |
middleName | string | No | — | The dependent’s middle name. |
relationship | string | No | — | The dependent’s relationship to the employee (e.g. “spouse”, “child”, “domestic_partner”). |
sin | string | No | — | The dependent’s Social Insurance Number (Canadian equivalent of SSN), provided as plain text. Stored encrypted. Returned as a masked value on read. |
ssn | string | No | — | The dependent’s Social Security Number, provided as plain text. Stored encrypted. Returned as a masked value (e.g. “xxx-xx-1234”) on read. |
state | string | No | — | The dependent’s state, provided as a state code (e.g. “UT”). Returned as a full state name on read. |
zipCode | string | No | — | The dependent’s ZIP or postal code. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The numeric ID of the employee dependent to update."
},
"addressLine1": {
"type": "string",
"description": "The first line of the dependent's address."
},
"addressLine2": {
"type": "string",
"description": "The second line of the dependent's address."
},
"city": {
"type": "string",
"description": "The dependent's city."
},
"country": {
"type": "string",
"description": "The dependent's country, provided as an ISO 3166-1 alpha-2 country code (e.g. \"US\"). Returned as a full country name on read."
},
"dateOfBirth": {
"type": "string",
"description": "The dependent's date of birth in YYYY-MM-DD format."
},
"employeeId": {
"type": "string",
"description": "The ID of the employee this dependent belongs to. Required."
},
"firstName": {
"type": "string",
"description": "The dependent's first name."
},
"gender": {
"type": "string",
"description": "The dependent's gender."
},
"homePhone": {
"type": "string",
"description": "The dependent's home phone number."
},
"isStudent": {
"type": "string",
"description": "Whether the dependent is currently a student. Accepted values: \"yes\" or \"no\".",
"enum": [
"yes",
"no"
]
},
"isUsCitizen": {
"type": "string",
"description": "Whether the dependent is a US citizen. Accepted values: \"yes\" or \"no\".",
"enum": [
"yes",
"no"
]
},
"lastName": {
"type": "string",
"description": "The dependent's last name."
},
"middleName": {
"type": "string",
"description": "The dependent's middle name."
},
"relationship": {
"type": "string",
"description": "The dependent's relationship to the employee (e.g. \"spouse\", \"child\", \"domestic_partner\")."
},
"sin": {
"type": "string",
"description": "The dependent's Social Insurance Number (Canadian equivalent of SSN), provided as plain text. Stored encrypted. Returned as a masked value on read."
},
"ssn": {
"type": "string",
"description": "The dependent's Social Security Number, provided as plain text. Stored encrypted. Returned as a masked value (e.g. \"xxx-xx-1234\") on read."
},
"state": {
"type": "string",
"description": "The dependent's state, provided as a state code (e.g. \"UT\"). Returned as a full state name on read."
},
"zipCode": {
"type": "string",
"description": "The dependent's ZIP or postal code."
}
},
"required": [
"PCID",
"id"
]
}

